Poll booking status
GET
/bookings/{id}
const url = 'https://demo.yourapp.com/api/v1/bookings/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://demo.yourapp.com/api/v1/bookings/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Returns the booking only if it was created with the same API key.
Requires the bookings:read scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Booking status
Media typeapplication/json
object
data
object
bookingId
required
string format: uuid
status
required
Pending until staff confirm or reject
string
assetGroupId
string | null format: uuid
pickupDatetime
required
string format: date-time
dropoffDatetime
required
string format: date-time
estimatedTotal
string | null
currency
string | null
createdAt
required
string format: date-time
Example
{ "data": { "status": "pending" }}Missing/invalid/revoked/expired API key (API_KEY_REQUIRED, API_KEY_INVALID, API_KEY_REVOKED, API_KEY_EXPIRED) or missing/invalid session token on the browser channel (SESSION_REQUIRED, SESSION_INVALID, SESSION_EXPIRED).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Rate limit exceeded (RATE_LIMITED)
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Headers
Section titled “Headers”Retry-After
integer
Seconds until the window resets
X-RateLimit-Limit
integer
X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer
Unix timestamp (seconds) of the window reset